﻿using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using Mountaineer.Netmf.Hardware;

// connect an analog input to pin 3 of socket 6,
// e.g., a GHI Potentiometer module

public class VoltageReader
{
    public static void Main()
    {
        var voltagePort = new AnalogInput(Socket6.AnalogInput3);
        voltagePort.Scale = 3.3;                    // convert to Volt

        while (true)
        {
            double value = voltagePort.Read();
            Debug.Print(value.ToString("f"));       // fixed-point format
            Thread.Sleep(3000);                     // 3 seconds
        }
    }
}
